Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.api
Interface Converter

All Known Subinterfaces:
  BatchConverter

All Known Implementing Classes:
  Converter, Converter, ConverterBase, ConverterPalette

    public interface Converter

This is an interface for a converter, which offers conversion of OpenDocument or OOo 1.x docs into a specific format. Instances of this interface are created using the `ConverterFactory`

Method Summary
`ConverterResult` | `convert(java.io.InputStream is, java.lang.String sTargetFileName)` Convert a document
`void` | `readTemplate(java.io.InputStream is)` Read a template to use as a base for the converted document The format of the template depends on the `Converter` implementation.
`void` | `setConfig(Config config)` Define the configuration to use when converting.
`void` | `setGraphicConverter(GraphicConverter gc)` Define a `GraphicConverter` implementation to use for conversion of graphic files.

Method Detail

### setConfig

    void setConfig(Config config)

  Define the configuration to use when converting. If no configuration is specified, the converter will use a default configuration.

  Note: This method will change in version 0.6

  Parameters:
    `config` - the configuration to use

### setGraphicConverter

    void setGraphicConverter(GraphicConverter gc)

  Define a `GraphicConverter` implementation to use for conversion of graphic files. If no converter is specified, graphic files will not be converted into other formats.

  Parameters:
    `gc` - the `GraphicConverter` to use

### readTemplate

    void readTemplate(java.io.InputStream is)
                      throws java.io.IOException

  Read a template to use as a base for the converted document

  The format of the template depends on the `Converter` implementation.

  Parameters:
    `is` - an `InputStream` from which to read the template
  Throws:
    `java.io.IOException` - if some exception occurs while reading the template

### convert

    ConverterResult convert(java.io.InputStream is,
                            java.lang.String sTargetFileName)
                            throws java.io.IOException

  Convert a document

  Parameters:
    `is` - an `InputStream` from which to read the source document.
    `sTargetFileName` - the file name to use for the converted document (if the converted document is a compound document consisting consisting of several files, this name will be used for the master document)
  Returns:
    a `ConverterResult` containing the converted document
  Throws:
    `java.io.IOException` - if some exception occurs while reading the document

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD